import {createReducer} from '@reduxjs/toolkit';
import * as Actions from '../actions/skynet_actions';

export const skynetReducer = createReducer({
  DisplayExport: false,
  DisplayImport: false,
}, {
  [Actions.displaySkynetExport]: (state, action) => {
    return {
      ...state,
      DisplayExport: action.payload,
    }
  },
  [Actions.displaySkynetImport]: (state, action) => {
    return {
      ...state,
      DisplayImport: action.payload,
    }
  },
});
